
Application: gvSIG desktop - gvSIG bugs #5252
Problema con el guardado de proyecto / no se visualizan capas ráster al abrirlo
04/30/2020 10:16 PM - Álvaro Anguix

Status: Closed % Done: 100%
Priority: Immediate Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category: Application
Target version: 2.5.1-3024
Severity: Blocker Add-on version:
gvSIG version: 2.5.1 Add-on build:
gvSIG build: 3023 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Reportado por Carlos Revuelto.
Crea un proyecto, con capas vectoriales y ráster. Lo guarda y al abrirlo aunque active en el TOC las capas ráster...no se ven.
Me ha mandado el proyecto (al abrirlo pide localizar el archivo ráster...le digo donde está en la carpeta GIS y se carga el proyecto;
como indica Carlos la capa ráster aparece en el TOC pero no se visualiza)
He borrado el ráster, lo he vuelto a cargar y se ve correctamente...aunque el proyecto ya debe estar corrupto, porque al darle a
guardar me lanza un error.
ADjunto los logs que me ha mandado Carlos y el zip con todo el proyecto.

Pongo prioridad alta por si hay algún tema que hace que los proyectos fallen.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5257: El plugin de Add b... Closed 05/04/2020

History
#1 - 04/30/2020 10:19 PM - Álvaro Anguix

Añado nota con información adicional de Carlos:
- No me daba ninún problema al menos hasta el build 3015 que es con el que he trabajado hasta el domingo sin problemas
- Antes de enviar he probado a abrir otro proyecto de otro término municipal que no había tocado con este build ni con la RC1 y tampoco se cargan
las capas ráster.

#2 - 04/30/2020 10:24 PM - Álvaro Anguix
- gvSIG build set to 3021

#3 - 05/01/2020 11:11 AM - Álvaro Anguix

Más info aportada por Carlos:
"He vuelto al build 3015 que no me daba problema y el resultado es el mismo para los 10 términos municipales que tengo preparados, no carga bien
ningún ráster. Aparecen en el TOC pero no se visualizan ni se pueden "manejar" con el botón derecho por el NullPointerException.
Como te comentaba los problemas empezaron al instalar la RC1 ¿puede ser que haya quedado algún "rastro" al desinstalar que se conserve al
desinstalar y volver a instalar la 3015?"

#4 - 05/01/2020 12:23 PM - Álvaro Anguix

05/17/2024 1/3



Más info de Carlos:
"He probado con la portable de Windows. En inicio el proyecto de Artieda se abre bien, con sus capas ráster. Desaparecen cuando cargo una capa de
toponimia del IGN. Creo que es casual, no tendría porque tener nada que ver. Sin embargo a partir de ahí ya no abre bien ningún proyecto con capas
ráster aunque cierre y vuelva a abrir. lo mismo que con la versión instalable."

#5 - 05/01/2020 01:35 PM - Álvaro Anguix
- File gvSIG.log.1 added
- File gvSIG.log added

Probando con un proyecto que tenía yo guardado bastante sencillo (pero en Linux, Carlos está en Windows) ocurre algo similar. El proyecto tenía
solo: un ráster, un shp y dos WMS me ocurre lo mismo, no muestra las capas ráster. El error que muestra en la barra de estado siempre es el mismo
"Can't enable/show control view-time animation'...aunque aparentemente no tiene nada que ver, dejo constancia por si fuera la fuente del error.
Adjunto mi log

#6 - 05/01/2020 01:41 PM - Álvaro Anguix
Más datos, sobre el proyecto mio:
    -  Lo que parece es que realmente no existen los ráster, aunque estén en el TOC. Esto lo digo por:

- No se activa la opción "Propiedades del ráster" al pulsar con el botón derecho sobre la capa
- Si pulsamos "copiar" sobre una capa ráster, lanza un error como si no existiera.
- En las propiedades de capa aparece toda la información de la capa en blanco, de nuevo...como si no existiera.
- En los WMS al pulsar "Propiedades del WMS" lanza un error y no abre la ventana correspondiente.

#7 - 05/01/2020 01:44 PM - Álvaro Anguix
- File lineas_limite.zip added

Adjunto mi proyecto+capas, que al ser más simple igual permite ver más rápido el problema.

#8 - 05/04/2020 09:21 AM - Joaquín  del Cerro Murciano
- Assignee set to Francisco Díaz Carsí

#9 - 05/04/2020 10:18 AM - Álvaro Anguix
- Related to gvSIG bugs #5257: El plugin de Add basic time support no aparece en la 2.5.1 added

#10 - 05/12/2020 06:07 PM - Francisco Díaz Carsí
- Status changed from New to Fixed
- Due date set to 05/12/2020

Parcheado el TabbedToc para que no elimine el store de las capas raster cuando se elimine el layerListener.

https://github.com/gvSIGAssociation/gvsig-desktop-scripting-TabbedToC/commit/4b05b131588eeaaf5d4d333ee782564173f8c481

#11 - 05/12/2020 06:09 PM - Francisco Díaz Carsí
- % Done changed from 0 to 100
- Target version changed from 2.5.1-3044 to 2.5.1-3023
#12 - 05/14/2020 08:14 PM - Álvaro Anguix
- gvSIG build changed from 3021 to 3023
- Status changed from Fixed to New

Sigue pasando en el build 3023

#13 - 05/15/2020 10:32 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3023 to 2.5.1-3024

#14 - 06/02/2020 11:00 AM - Francisco Díaz Carsí
- Status changed from New to Fixed

Subido al jenkins

#15 - 06/07/2020 04:23 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
Ficha_Artieda.zip 39.2 MB 04/30/2020 Álvaro Anguix
gvSIG_log.zip 69.8 KB 04/30/2020 Álvaro Anguix
gvSIG.log 31.1 KB 05/01/2020 Álvaro Anguix
gvSIG.log.1 513 KB 05/01/2020 Álvaro Anguix
lineas_limite.zip 10.3 MB 05/01/2020 Álvaro Anguix
